Package org.apache.calcite.avatica

# Class ConnectionConfigImpl

java.lang.Object
org.apache.calcite.avatica.ConnectionConfigImpl

All Implemented Interfaces:
  `ConnectionConfig`

Direct Known Subclasses:
  `AvaticaRemoteConnectionConfigImpl`

public class ConnectionConfigImpl extends Object implements ConnectionConfig
Implementation of `ConnectionConfig`.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`ConnectionConfigImpl.Converter<T>`
Callback to parse a property from string to its native type.
`static class`
`ConnectionConfigImpl.PropEnv`
The combination of a property definition and a map of property values.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ConnectionConfigImpl.Converter<Boolean>`
`BOOLEAN_CONVERTER`
`static final ConnectionConfigImpl.Converter<String>`
`IDENTITY_CONVERTER`
`static final ConnectionConfigImpl.Converter<Number>`
`NUMBER_CONVERTER`
`protected final Properties`
`properties`

## Constructor Summary

Constructors
Constructor
Description
`ConnectionConfigImpl(Properties properties)`

## Method Summary

Modifier and Type
Method
Description
`String`
`authentication()`
`String`
`avaticaPassword()`
`String`
`avaticaUser()`
`static <E extends Enum>
ConnectionConfigImpl.Converter<E>`
`enumConverter(Class<E> enumClass)`
`Service.Factory`
`factory()`
`HostnameVerificationConfigurable.HostnameVerification`
`hostnameVerification()`
`String`
`httpClientClass()`
`AvaticaHttpClientFactory`
`httpClientFactory()`
`File`
`kerberosKeytab()`
`String`
`kerberosPrincipal()`
`String`
`keyPassword()`
`File`
`keystore()`
`String`
`keystorePassword()`
`static Map<ConnectionProperty,String>`
`parse(Properties properties, Map<String,? extends ConnectionProperty> nameToProps)`
Converts a `Properties` object containing (name, value) pairs into a map whose keys are `InternalProperty` objects.
`static <T> ConnectionConfigImpl.Converter<T>`
`pluginConverter(Class<T> pluginClass, T defaultInstance)`
`String`
`schema()`
`String`
`serialization()`
`String`
`timeZone()`
`boolean`
`transparentReconnectionEnabled()`
`File`
`truststore()`
`String`
`truststorePassword()`
`String`
`url()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### properties

protected final Properties properties

### BOOLEAN_CONVERTER

public static final ConnectionConfigImpl.Converter<Boolean> BOOLEAN_CONVERTER

### NUMBER_CONVERTER

public static final ConnectionConfigImpl.Converter<Number> NUMBER_CONVERTER

### IDENTITY_CONVERTER

public static final ConnectionConfigImpl.Converter<String> IDENTITY_CONVERTER

## Constructor Details

### ConnectionConfigImpl

public ConnectionConfigImpl(Properties properties)

## Method Details

### schema

public String schema()

Specified by:
  `schema` in interface `ConnectionConfig`
See Also:
  - `BuiltInConnectionProperty.SCHEMA`

### timeZone

public String timeZone()

Specified by:
  `timeZone` in interface `ConnectionConfig`
See Also:
  - `BuiltInConnectionProperty.TIME_ZONE`

### factory

public Service.Factory factory()

Specified by:
  `factory` in interface `ConnectionConfig`
See Also:
  - `BuiltInConnectionProperty.FACTORY`

### url

public String url()

Specified by:
  `url` in interface `ConnectionConfig`
See Also:
  - `BuiltInConnectionProperty.URL`

### serialization

public String serialization()

Specified by:
  `serialization` in interface `ConnectionConfig`
See Also:
  - `BuiltInConnectionProperty.SERIALIZATION`

### authentication

public String authentication()

Specified by:
  `authentication` in interface `ConnectionConfig`
See Also:
  - `BuiltInConnectionProperty.AUTHENTICATION`

### avaticaUser

public String avaticaUser()

Specified by:
  `avaticaUser` in interface `ConnectionConfig`
See Also:
  - `BuiltInConnectionProperty.AVATICA_USER`

### avaticaPassword

public String avaticaPassword()

Specified by:
  `avaticaPassword` in interface `ConnectionConfig`
See Also:
  - `BuiltInConnectionProperty.AVATICA_PASSWORD`

### httpClientFactory

public AvaticaHttpClientFactory httpClientFactory()

Specified by:
  `httpClientFactory` in interface `ConnectionConfig`
See Also:
  - `BuiltInConnectionProperty.HTTP_CLIENT_FACTORY`

### httpClientClass

public String httpClientClass()

Specified by:
  `httpClientClass` in interface `ConnectionConfig`
See Also:
  - `BuiltInConnectionProperty.HTTP_CLIENT_IMPL`

### kerberosPrincipal

public String kerberosPrincipal()

Specified by:
  `kerberosPrincipal` in interface `ConnectionConfig`
See Also:
  - `BuiltInConnectionProperty.PRINCIPAL`

### kerberosKeytab

public File kerberosKeytab()

Specified by:
  `kerberosKeytab` in interface `ConnectionConfig`
See Also:
  - `BuiltInConnectionProperty.KEYTAB`

### truststore

public File truststore()

Specified by:
  `truststore` in interface `ConnectionConfig`
See Also:
  - `BuiltInConnectionProperty.TRUSTSTORE`

### truststorePassword

public String truststorePassword()

Specified by:
  `truststorePassword` in interface `ConnectionConfig`
See Also:
  - `BuiltInConnectionProperty.TRUSTSTORE_PASSWORD`

### keystore

public File keystore()

Specified by:
  `keystore` in interface `ConnectionConfig`
See Also:
  - `BuiltInConnectionProperty.KEYSTORE`

### keystorePassword

public String keystorePassword()

Specified by:
  `keystorePassword` in interface `ConnectionConfig`
See Also:
  - `BuiltInConnectionProperty.KEYSTORE_PASSWORD`

### keyPassword

public String keyPassword()

Specified by:
  `keyPassword` in interface `ConnectionConfig`
See Also:
  - `BuiltInConnectionProperty.KEY_PASSWORD`

### hostnameVerification

public HostnameVerificationConfigurable.HostnameVerification hostnameVerification()

Specified by:
  `hostnameVerification` in interface `ConnectionConfig`
See Also:
  - `BuiltInConnectionProperty.HOSTNAME_VERIFICATION`

### transparentReconnectionEnabled

public boolean transparentReconnectionEnabled()

Specified by:
  `transparentReconnectionEnabled` in interface `ConnectionConfig`
See Also:
  - `BuiltInConnectionProperty.TRANSPARENT_RECONNECTION`

### parse

public static Map<ConnectionProperty,String> parse(Properties properties, Map<String,? extends ConnectionProperty> nameToProps)
Converts a `Properties` object containing (name, value) pairs into a map whose keys are `InternalProperty` objects.

Matching is case-insensitive. Throws if a property is not known. If a property occurs more than once, takes the last occurrence.

Parameters:
  `properties` - Properties
Returns:
  Map
Throws:
  `RuntimeException` - if a property is not known

### enumConverter

public static <E extends Enum> ConnectionConfigImpl.Converter<E> enumConverter(Class<E> enumClass)

### pluginConverter

public static <T> ConnectionConfigImpl.Converter<T> pluginConverter(Class<T> pluginClass, T defaultInstance)